
QGIS Application - Bug report #5615

Qgis crashes frequently when digitizing streams over aerial images (via WMS and with tiff)

2012-05-17 08:02 AM - Filipe Dias

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:1.8.0 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 15186

Description

I've been trying to digitize a number of streams over (1) Bing aerial layers, (2) Bing images obtained from WMS and (3) Aerial images

obtained via WMS from here: "http://mapas.igeo.pt/tilecache/tilecache.py" and QGIS keeps crashing.

This also happens when I try to do the same with locally saved tiff images.

These are the steps to reproduce the crashes:

(0) Add WMS images or Tiff images

(1) toggle editing 

(2) set snapping to "hydro.shp" to 10 px

(2) use node tool to reshape streams

(3) add streams to hydro.shp

(4) It will eventually crash

It affects 1.7.4 and 1.8. I tested this on a different machine with the same results

History

#1 - 2012-05-19 03:41 PM - Giovanni Manghi

- Status changed from Open to Feedback

Hi Filipe,

I believe we already discussed this issue privately recently. I gave it a go another time with the provided data and also with data of my own. I cannot

replicate the issue.

I tested master on both Windows and Linux.

Can you exclude a local issue? Did you tested on another machine?

#2 - 2012-05-20 01:05 AM - Filipe Dias

Yes it happens on a different machine, with a clean installation. Did you "push" things? Sometimes it only takes a few minutes to crash, but on other

occasions it takes about 10 minutes (both with Bing images and IGP images). Could it be related to the WMS server and with how QGIS deals with any

problems coming from the "other end"?
#3 - 2012-05-20 11:14 AM - Giovanni Manghi

Filipe Dias wrote:

Yes it happens on a different machine, with a clean installation. Did you "push" things? Sometimes it only takes a few minutes to crash, but on other

occasions it takes about 10 minutes (both with Bing images and IGP images). Could it be related to the WMS server and with how QGIS deals with

any problems coming from the "other end"?

I launched windows 7, qgis 1.8, added your data and added the wms overlayes + geotiffs. Started to edit and done everything I could think about (but not

used 3rd party plugins... by the way, did you any 3rd party plugin before your tests?)... no crashes while adding, moving, merging, cutting, etc.

#4 - 2012-05-20 12:17 PM - Filipe Dias

I did some more tests in 2 PCs

With tiff - on a new and clean project (opened, loaded .tiff and shp and started digitizing), this problem doesnt seem to occur, or at least is a lot less

frequent.

With WMS - it depends, sometimes I dont get any crashes for 2/3 hours, and on other occasions I get crash after crash.

If nobody else experiences this, I suggest you close this ticket.

#5 - 2012-05-21 05:35 AM - Giovanni Manghi

- Status changed from Feedback to Open

Filipe Dias wrote:

I did some more tests in 2 PCs

With tiff - on a new and clean project (opened, loaded .tiff and shp and started digitizing), this problem doesnt seem to occur, or at least is a lot less

frequent.

With WMS - it depends, sometimes I dont get any crashes for 2/3 hours, and on other occasions I get crash after crash.

If nobody else experiences this, I suggest you close this ticket.

Hi Filipe,

I don't have any particular interest in confirming or not a bug. In this case I cannot confirm. I tested your data for 20/30 minutes and didn't get a crash. Last

week I had to do a job that involved digitising (using the same WMS layer you cite) and didn't get any crash in many hours of work.

Does this mean that the issue is not confirmed? no... but as I tested on two OS including the one you use it is suspicious that can be a local problem. The

only thing that does not convince me is that you get the crash on two different machines. Maybe the issue is caused by a specific QGIS configuration

parameter?

Would you be able to test in Linus, so it will be possible to get the eventual error message from the Linux console?
#6 - 2012-05-23 07:57 AM - Filipe Dias

New findings:

If I open a pre-existing project and start digitizing, QGIS crashes soon after and keeps crashing If I insist.

But if I open a new project and start digitizing this doesnt happen. Ive tried to do this twice (2 hour each time) and got no crashes.

During this period I didnt update QGIS and did not install or use any plugins in these projects.

#7 - 2012-05-23 08:04 AM - Paolo Cavallini

Was the existing project made with a previous QGIS version?

#8 - 2012-05-24 04:56 AM - Giovanni Manghi

- Status changed from Open to Feedback

Filipe Dias wrote:

New findings:

If I open a pre-existing project and start digitizing, QGIS crashes soon after and keeps crashing If I insist.

But if I open a new project and start digitizing this doesnt happen. Ive tried to do this twice (2 hour each time) and got no crashes.

During this period I didnt update QGIS and did not install or use any plugins in these projects.

Hi Filipe,

I tried hard, believe me, but no crashes under Windows with both new and saved projects.

I think we must look somewhere else, something at hardware or software level other than qgis. It would be really important if you can test under Linux, by

launching qgis from the terminal with the "qgis" command, so if it will crash we will get the error message.

#9 - 2012-09-04 12:09 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#10 - 2012-10-04 09:26 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

Filipe I'm closing this because I (we) never managed to replicate the issue, anyway you may want to try master tomorrow as today the node tool got a fix

about a nasty issue that caused qgis to crash in certain situations.

Please reopen if necessary.
#11 - 2013-05-31 07:39 AM - Giovanni Manghi

Giovanni Manghi wrote:

Filipe I'm closing this because I (we) never managed to replicate the issue, anyway you may want to try master tomorrow as today the node tool got

a fix about a nasty issue that caused qgis to crash in certain situations.

Please reopen if necessary.

I believe that after all the pattern that causes crash has been found, see #7958

Files

Hydro.zip 392 KB 2012-05-17 Filipe Dias

2024-04-10 4/4


